Date: Tuesday, March 6, 2018 @ 12:18:00
  Author: dvzrv
Revision: 303066

upgpkg: audacity 2.2.2-1

Upgrading to 2.2.2. Minor fixes.

Modified:
  audacity/trunk/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD    2018-03-06 11:51:31 UTC (rev 303065)
+++ PKGBUILD    2018-03-06 12:18:00 UTC (rev 303066)
@@ -3,8 +3,8 @@
 # Contributor: Eric BĂ©langer <e...@archlinux.org>
 
 pkgname=audacity
-pkgver=2.2.1
-pkgrel=2
+pkgver=2.2.2
+pkgrel=1
 pkgdesc="A program that lets you manipulate digital audio waveforms"
 arch=('x86_64')
 url="https://audacityteam.org";
@@ -13,15 +13,16 @@
          'ffmpeg' 'vamp-plugin-sdk' 'portsmf' 'twolame' 'suil' 'lilv') # sbsms 
- needs unreleased version
 makedepends=('cmake')
 
source=("https://github.com/${pkgname}/${pkgname}/archive/Audacity-${pkgver}.tar.gz";)
-sha512sums=('5f3e17aa5f39210f1440f49e19835bc6f2b6ab1bb58cee989dd2aa46cbcaf82eaa01037a8ee9e3a419741a34ae00c0325da33f017d83be531654032797ac7edd')
+sha512sums=('311a5f3413e7faf40dc5639b2b9f8b0d03d1a410c50d894ca7abf3fe5733a29b710ccf7e3215d97dd9142e93c0ab5e13955dfd13146b03f927f74465459a6457')
 
 prepare() {
-  cd "${pkgname}-Audacity-${pkgver}"
+  mv -v "${pkgname}-Audacity-${pkgver}" "${pkgname}-${pkgver}"
+  cd "${pkgname}-${pkgver}"
   autoreconf -vi
 }
 
 build() {
-  cd "${pkgname}-Audacity-${pkgver}"
+  cd "${pkgname}-${pkgver}"
   WX_CONFIG=wx-config-gtk3 ./configure --prefix="/usr" \
     --with-libsndfile="system" \
     --with-ffmpeg="system" \
@@ -42,6 +43,6 @@
 }
 
 package() {
-  cd "${pkgname}-Audacity-${pkgver}"
+  cd "${pkgname}-${pkgver}"
   make DESTDIR="${pkgdir}" install
 }

Reply via email to